package com.gic.haoban.manage.service.dao.mapper;

import com.gic.haoban.manage.service.entity.TabStoreRelation;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Set;

@Mapper
public interface TabHaobanStoreRelationMapper {
    /**
     */
    int deleteByPrimaryKey(String storeRelationId);

    /**
     */
    int insert(TabStoreRelation record);

    /**
     */
    int insertSelective(TabStoreRelation record);

    /**
     */
    int insertBatch(@Param("list") List<TabStoreRelation> list);

    /**
     */
    TabStoreRelation selectByPrimaryKey(String storeRelationId);

    /**
     */
    int updateByPrimaryKeySelective(TabStoreRelation record);

    /**
     */
    int updateByPrimaryKey(TabStoreRelation record);

    /**
     * 删除门店
     *
     * @param enterpriseId
     * @param storeId
     * @return
     */
    public int deleteStoreRalation(@Param("enterpriseId") String enterpriseId, @Param("storeId") String storeId);

    /**
     * 门店搜索
     */
    List<TabStoreRelation> searchStoreRange(@Param("wxEnterpriseId") String wxEnterpriseId, @Param("enterpriseId") String enterpriseId, @Param("search") String search);

    /**
     * 门店搜索
     */
    List<TabStoreRelation> listStoreRange(@Param("enterpriseId") String enterpriseId);

    /**
     * 删除门店
     *
     * @param enterpriseId
     * @return
     */
    public int deleteAllStoreRalation(@Param("enterpriseId") String enterpriseId);

    /**
     * 删除门店
     *
     * @param enterpriseId
     * @return
     */
    public int deleteStoreRalationByStoreIds(@Param("enterpriseId") String enterpriseId, @Param("storeIds") Set<String> storeIds);

    /**
     * 所有门店id
     *
     * @param wxEnterpriseId
     * @param enterpriseId
     * @return
     */
    List<String> listStoreIdByWxEnterpriseId(@Param("wxEnterpriseId") String wxEnterpriseId, @Param("enterpriseId") String enterpriseId);

    /**
     * 更新门店名称
     *
     * @param enterpriseId
     * @return
     */
    public int updateStoreName(@Param("enterpriseId") String enterpriseId, @Param("storeId") String storeId, @Param("storeName") String storeName);


    /**
     * 门店查询列表
     *
     * @param storeId        存储id
     * @param wxEnterpriseId wx企业标识
     * @param enterpriseId   企业标识
     * @return {@link List }<{@link String }>
     * @author mozhu
     * @date 2022-05-30 16:00:47
     */
    List<String> listStoreIdByStoreIdWxEnterpriseId(@Param("storeId") String storeId,
                                                    @Param("wxEnterpriseId") String wxEnterpriseId,
                                                    @Param("enterpriseId") String enterpriseId);

}